Subject: Re: What's cooking in git.git (May 2022, #01; Mon, 2)

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 May 2022 08:56:22 -0700

Elijah Newren <[email-masked]> writes:

> On v2 you said, "There are a few things that I found questionable, but
> they were mostly documentation issues".  You brought up several points
> in v2 where my wording in the Documentation was admittedly suboptimal,
> though I think I addressed all of those in v3.

Correct.  The above is all assuming that "cone is the future" is
what is shared by the population that depends on sparse-checkout.  I
do not have strong opinions to declare that, but to help the topic
move forward, I was giving reviews under the condition, i.e. "If
there is such a concensus, here are the things in your current
iteration that would need to be addressed".

I vaguely recall there were folks who didn't like the change of
default the last time you brought this topic up.  Convincing them is
not my job---it is yours.  Mine has been to help prepare the code
ready for public consumption when that happens.